Bug 518622 - Force stdout close for fencing agents in python
Summary: Force stdout close for fencing agents in python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 10:51 UTC by Marek Grac
Modified: 2016-04-26 15:09 UTC (History)
3 users (show)

Fixed In Version: cman-2.0.115-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:41:29 UTC


Attachments (Terms of Use)
Proposed patch (2.85 KB, patch)
2009-08-21 11:10 UTC, Marek Grac
no flags Details | Diff
Proposed patch (4.65 KB, patch)
2009-08-27 10:57 UTC, Marek Grac
no flags Details | Diff
Proposed patch #02 (6.48 KB, patch)
2009-08-27 13:56 UTC, Marek Grac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0266 normal SHIPPED_LIVE cman bug fix and enhancement update 2010-03-29 12:54:44 UTC

Description Marek Grac 2009-08-21 10:51:33 UTC
This feature is advise from Jim Meyering. On the beginning
of script, we should register end callback, which close stdout and
show error, if this wasn't successful.

Comment 1 Marek Grac 2009-08-21 11:10:57 UTC
Created attachment 358227 [details]
Proposed patch

Proposed patch (1)

Comment 2 Marek Grac 2009-08-21 11:13:27 UTC
Comment on attachment 358227 [details]
Proposed patch

Patch for different bug :(

Comment 3 Marek Grac 2009-08-27 10:57:55 UTC
Created attachment 358845 [details]
Proposed patch

Comment 4 Marek Grac 2009-08-27 13:56:49 UTC
Created attachment 358876 [details]
Proposed patch #02

add atexit also for Cisco and RSA

Comment 9 Jaroslav Kortus 2010-03-15 18:14:48 UTC
Verified, only fence_rsb does not contain this callback. Is this ok?

Comment 11 errata-xmlrpc 2010-03-30 08:41:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0266.html


Note You need to log in before you can comment on or make changes to this bug.